
/* Nouveau slider horizontal fluide */
.slider-container {
    width: 100%;
    overflow: hidden;
    position: relative;
    max-height: 70vh; /* Ajuste la hauteur pour éviter qu'il prenne trop de place */
    background-color: black;
}

.slider {
    display: flex;
    width: 80%;
    height: auto;
    animation: slide 20s infinite linear; /* Animation fluide du défilement */
}

.slider img {
    width: 100%;
    height: 100vh;
    max-width: 100%;
    max-height: 80vh;
    display: block;
    margin: auto;
    background-color: black;
    object-fit: contain;
}

@keyframes slide {
    0% { transform: translateX(0); }
    25% { transform: translateX(-100%); }
    50% { transform: translateX(-200%); }
    75% { transform: translateX(-300%); }
    100% { transform: translateX(0); }
}

@media (max-width: 768px)
{
    .slider {
        width: 100%;
        height: 70vh;
    }
    
    .slider img {
        width: 100%;
        height: 70vh;
    }
}
@media (orientation:
landscape) {
    .slider-container {
        height: 75vh;
    }
    
    .slider {
        width: 75%;
    }
    
    .slider img {
        width: 100%;
        height: auto;
    }
}